import * as i0 from "@angular/core";
export declare class ServerConfigService {
    /**
     * Asynchronous initialization of the config file contents.
     * @returns Promise of config file fetch
     */
    readSdkConfig(): Promise<any>;
    /**
     *
     * @returns the sdk-config JSON object
     */
    getSdkConfig(): Promise<any>;
    /**
     *
     * @returns the authConfig block in the SDK Config object
     */
    getSdkConfigAuth(): Promise<any>;
    /**
     *
     * @returns the serverConfig bloc from the sdk-config.json file
     */
    getSdkConfigServer(): any;
    /**
     * @param {String} key the key to be inserted/updated in serverConfig
     * @param {String} value the value to be assigned to the given key
     */
    setSdkConfigServer(key: string, value: string): void;
    getBaseUrl(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ServerConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ServerConfigService>;
}
